Bug 247124 - Review Request: tgif - 2-D drawling tool
Review Request: tgif - 2-D drawling tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tyler Owen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-05 11:18 EDT by Mamoru TASAKA
Modified: 2015-01-02 13:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 14:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tyler.l.owen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-07-05 11:18:43 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SPECS/tgif.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/SRPMS/tgif-4.1.45-2.fc8.src.rpm
Mock build log on rawhide i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/Fedora/development/LOGS/MOCK-tgif.log
Description: 

Tgif  -  Xlib based interactive 2-D drawing facility under
X11.  Supports hierarchical construction of  drawings  and
easy  navigation  between  sets  of drawings.  It's also a
hyper-graphics (or hyper-structured-graphics)  browser  on
the World-Wide-Web.
Comment 1 Tyler Owen 2007-07-08 16:10:57 EDT
---------
Summary:
---------
* Duplicate BuildRequires: libXt-devel (by libXmu-devel)

* RPM builds and functions on both F7 and rawhide.

---------
Details:
---------

 OK - Mock : Built on F-7 (x86)
 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 OK - Meets Packaging Guidelines.
 OK - License field in spec matches
 OK - License is QPL
 OK - License match packaging policy licenses allowed
 OK - License file is included in package
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources SHOULD match upstream md5sum:
5c1eba8291385c630b8099fa9b042455  tgif-QPL-4.1.45.tar.gz
 OK - Package has correct buildroot.
 FIX - BuildRequires are not redundant.
 OK - %build and %install stages are correct and work.
 OK - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package is code or permissible content.
 OK - Packages %doc files don't affect runtime.
 OK - No large doc files not in a -doc package
 OK - Package has no duplicate files in %files.
 OK - Package doesn't own any directories that other packages own.
 OK - Changelog section is correct. 
 OK - Does not contain any .la libtool archives
 OK - .desktop file installed correctly

 OK - Should function as described.
 OK - Should package latest version

---------------
Rpmlint output:
---------------
 OK - silent on both srpm and main package rpm

Comment 3 Tyler Owen 2007-07-09 10:01:11 EDT
good.

----------------------------------------------------------------
   This package (tgif) is APPROVED by me
----------------------------------------------------------------
Comment 4 Mamoru TASAKA 2007-07-09 10:05:27 EDT
Thank you!

Request for CVS admin:
-----------------------------------------------------------
New Package CVS Request
=======================
Package Name:        tgif
Short Description:   2-D drawling tool
Owners:              mtasaka@ioa.s.u-tokyo.ac.jp
Branches:            F-7 FC-6
InitialCC:           t.matsuu@gmail.com
Comment 5 Mamoru TASAKA 2007-07-09 14:54:54 EDT
Rebuild on devel, F-7, FC-6, requested on Bodhi to push.
Closing.

Thank you for your review!
Comment 6 Mark Chappell 2010-03-19 04:12:42 EDT
Package Change Request
=======================
Package Name:       tgif
Owners:             tremble
Branches:           EL-5    

mtasaka listed on the EPEL ContributorStatusNo page
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo
Comment 7 Kevin Fenzi 2010-03-19 15:35:44 EDT
cvs done.
Comment 8 Orion Poplawski 2014-11-19 18:13:46 EST
Mark - would you be willing to maintain tgif in EPEL7?
Comment 9 Mark Chappell 2015-01-02 03:44:55 EST
Orion, I'm not using tgif much any more.  Would you be willing to maintain it?
Comment 10 Orion Poplawski 2015-01-02 13:24:38 EST
Turns out we may not be using it here any more either, so I'm just going to let it drop for now.

Note You need to log in before you can comment on or make changes to this bug.